Subject: Re: [PATCH v3] arch: Kconfig: Let all architectures set endian explicitly

From: Chen Gang <[email-masked]>
Date: Fri, 15 Aug 2014 17:01:20 +0800

On 8/15/14 6:14, Chen Gang wrote:
> On 08/15/2014 02:04 AM, Ralf Baechle wrote:
>>
> 
> OK, thanks, I assumes when support both endian, the default choice is
> CPU_BIG_ENDIAN, although no default value for choice (originally, I did
> worry about it).
> 
>> So I think you can just drop the MIPS segment from your patch.
>>
> 
> If what I assumes is correct, what you said sounds reasonable to me.
> 
> 

So for me, it is harmless to add CPU_*_ENDIAN explicitly, and can let
other members don't need think of.

By the way, for sh, it is almost the same case, except it contents the
default value, for me, it is clear enough, so I skip sh architecture in
this patch.

Thanks
-- 
Chen Gang

Open, share, and attitude like air, water, and life which God blessed